diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-rrc.cc ns-3.42/src/lte/test/test-lte-rrc.cc
--- ns-3.41/src/lte/test/test-lte-rrc.cc	2024-02-09 14:44:08.337793000 -0800
+++ ns-3.42/src/lte/test/test-lte-rrc.cc	2024-05-29 15:29:47.128073700 -0700
@@ -773,7 +773,7 @@
 };
 
 LteRrcTestSuite::LteRrcTestSuite()
-    : TestSuite("lte-rrc", SYSTEM)
+    : TestSuite("lte-rrc", Type::SYSTEM)
 {
     //  LogComponentEnableAll (LOG_PREFIX_ALL);
     //  LogComponentEnable ("LteRrcTest", LOG_LEVEL_ALL);
@@ -790,64 +790,64 @@
         // admitRrcConnectionRequest
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 0, 0, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 0, 100, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 1, 0, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 1, 100, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 2, 0, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 2, 100, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 0, 20, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 0, 20, 10, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 0, 20, 100, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 1, 20, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 1, 20, 10, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 1, 20, 100, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 2, 20, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 2, 20, 10, 1, false, useIdealRrc, true),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 2, 20, 100, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(3, 0, 20, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(4, 0, 20, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(4, 0, 20, 300, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(20, 0, 10, 1, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(50, 0, 0, 0, 1, false, useIdealRrc, true),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
 
         // Test cases to check admitRrcConnectionRequest=false
         //                                                     nUes      tConnBase delayDiscStart
@@ -857,28 +857,28 @@
         //                                                        admitRrcConnectionRequest
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 0, 0, 0, 1, false, useIdealRrc, false),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(1, 2, 100, 0, 1, false, useIdealRrc, false),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 0, 20, 0, 1, false, useIdealRrc, false),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(2, 1, 20, 0, 1, false, useIdealRrc, false),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
         AddTestCase(
             new LteRrcConnectionEstablishmentTestCase(3, 0, 20, 0, 1, false, useIdealRrc, false),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
     }
 
     // Test cases with transmission error
     AddTestCase(new LteRrcConnectionEstablishmentErrorTestCase(Seconds(0.020214),
                                                                "failure at RRC Connection Request"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteRrcConnectionEstablishmentErrorTestCase(Seconds(0.025),
                                                                "failure at RRC Connection Setup"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     /*
      * With RLF implementation we now do support the Idle mode,
      * thus it solve Bug 1762 Comment #25.
@@ -886,7 +886,7 @@
     AddTestCase(
         new LteRrcConnectionEstablishmentErrorTestCase(Seconds(0.030),
                                                        "failure at RRC Connection Setup Complete"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/test-lte-x2-handover.cc ns-3.42/src/lte/test/test-lte-x2-handover.cc
--- ns-3.41/src/lte/test/test-lte-x2-handover.cc	2024-02-09 14:44:08.341793300 -0800
+++ ns-3.42/src/lte/test/test-lte-x2-handover.cc	2024-05-29 15:29:47.128073700 -0700
@@ -673,7 +673,7 @@
 };
 
 LteX2HandoverTestSuite::LteX2HandoverTestSuite()
-    : TestSuite("lte-x2-handover", SYSTEM)
+    : TestSuite("lte-x2-handover", Type::SYSTEM)
 {
     // in the following:
     // fwd means handover from enb 0 to enb 1
@@ -772,7 +772,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   0,
                                                   handoverEventList0,
@@ -780,7 +780,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   5,
                                                   handoverEventList0,
@@ -788,7 +788,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   5,
                                                   handoverEventList0,
@@ -796,7 +796,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   0,
                                                   handoverEventList1,
@@ -804,7 +804,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   1,
                                                   handoverEventList1,
@@ -812,7 +812,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   2,
                                                   handoverEventList1,
@@ -820,7 +820,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   0,
                                                   handoverEventList1,
@@ -828,7 +828,7 @@
                                                   *schedIt,
                                                   false,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   1,
                                                   handoverEventList1,
@@ -836,7 +836,7 @@
                                                   *schedIt,
                                                   false,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   2,
                                                   handoverEventList1,
@@ -844,7 +844,7 @@
                                                   *schedIt,
                                                   false,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   0,
                                                   handoverEventList1,
@@ -852,7 +852,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   1,
                                                   handoverEventList1,
@@ -860,7 +860,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   2,
                                                   handoverEventList1,
@@ -868,7 +868,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   0,
                                                   handoverEventList1,
@@ -876,7 +876,7 @@
                                                   *schedIt,
                                                   false,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   1,
                                                   handoverEventList1,
@@ -884,7 +884,7 @@
                                                   *schedIt,
                                                   false,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   2,
                                                   handoverEventList1,
@@ -892,7 +892,7 @@
                                                   *schedIt,
                                                   false,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   0,
                                                   handoverEventList2,
@@ -900,7 +900,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   1,
                                                   handoverEventList2,
@@ -908,7 +908,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   2,
                                                   handoverEventList2,
@@ -916,7 +916,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   0,
                                                   handoverEventList3,
@@ -924,7 +924,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   1,
                                                   handoverEventList3,
@@ -932,7 +932,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(1,
                                                   2,
                                                   handoverEventList3,
@@ -940,7 +940,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   0,
                                                   handoverEventList3,
@@ -948,7 +948,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   1,
                                                   handoverEventList3,
@@ -956,7 +956,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   2,
                                                   handoverEventList3,
@@ -964,7 +964,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   0,
                                                   handoverEventList4,
@@ -972,7 +972,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   1,
                                                   handoverEventList4,
@@ -980,7 +980,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   2,
                                                   handoverEventList4,
@@ -988,7 +988,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   0,
                                                   handoverEventList5,
@@ -996,7 +996,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   1,
                                                   handoverEventList5,
@@ -1004,7 +1004,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(2,
                                                   2,
                                                   handoverEventList5,
@@ -1012,7 +1012,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   0,
                                                   handoverEventList3,
@@ -1020,7 +1020,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   1,
                                                   handoverEventList3,
@@ -1028,7 +1028,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   2,
                                                   handoverEventList3,
@@ -1036,7 +1036,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   0,
                                                   handoverEventList4,
@@ -1044,7 +1044,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   1,
                                                   handoverEventList4,
@@ -1052,7 +1052,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   2,
                                                   handoverEventList4,
@@ -1060,7 +1060,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   0,
                                                   handoverEventList5,
@@ -1068,7 +1068,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   1,
                                                   handoverEventList5,
@@ -1076,7 +1076,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::EXTENSIVE);
+                        TestCase::Duration::EXTENSIVE);
             AddTestCase(new LteX2HandoverTestCase(3,
                                                   2,
                                                   handoverEventList5,
@@ -1084,7 +1084,7 @@
                                                   *schedIt,
                                                   true,
                                                   useIdealRrc),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
         }
     }
 }
